clusterServersConfig:
  nodeAddresses:
  - "redis://redisc-redis-cluster-0.redisc-redis-cluster-headless.redisc.svc.cluster.local:6379"
  - "redis://redisc-redis-cluster-1.redisc-redis-cluster-headless.redisc.svc.cluster.local:6379"
  - "redis://redisc-redis-cluster-2.redisc-redis-cluster-headless.redisc.svc.cluster.local:6379"  
  idleConnectionTimeout: 10000
  connectTimeout: 10000
  timeout: 1000
  subscriptionTimeout: 7500
  retryAttempts: 3
  retryInterval: 500
  retryDelay: !<org.redisson.config.EqualJitterDelay> {}
  reconnectionDelay: !<org.redisson.config.EqualJitterDelay> {}
  credentialsResolver: !<org.redisson.client.DefaultCredentialsResolver> {}
  subscriptionsPerConnection: 5
  sslVerificationMode: "STRICT"
  sslProvider: "JDK"
  pingConnectionInterval: 30000
  keepAlive: true
  tcpKeepAliveCount: 0
  tcpKeepAliveIdle: 0
  tcpKeepAliveInterval: 0
  tcpUserTimeout: 0
  tcpNoDelay: true
  nameMapper: !<org.redisson.api.DefaultNameMapper> {}
  commandMapper: !<org.redisson.config.DefaultCommandMapper> {}
  loadBalancer: !<org.redisson.connection.balancer.RoundRobinLoadBalancer> {}
  slaveConnectionMinimumIdleSize: 24
  slaveConnectionPoolSize: 64
  failedSlaveReconnectionInterval: 3000
  failedSlaveCheckInterval: 180000
  masterConnectionMinimumIdleSize: 24
  masterConnectionPoolSize: 64
  readMode: "MASTER"
  subscriptionMode: "MASTER"
  subscriptionConnectionMinimumIdleSize: 1
  subscriptionConnectionPoolSize: 50
  dnsMonitoringInterval: 5000
  failedSlaveNodeDetector: !<org.redisson.client.FailedConnectionDetector> {}
  natMapper: !<org.redisson.api.DefaultNatMapper> {}
  scanInterval: 5000
  checkSlotsCoverage: true
  checkMasterLinkStatus: false
  shardedSubscriptionMode: "AUTO"
threads: 16
nettyThreads: 32
referenceEnabled: true
transportMode: "NIO"
lockWatchdogTimeout: 30000
lockWatchdogBatchSize: 100
fairLockWaitTimeout: 300000
checkLockSyncedSlaves: true
slavesSyncTimeout: 1000
reliableTopicWatchdogTimeout: 600000
keepPubSubOrder: true
useScriptCache: true
minCleanUpDelay: 5
maxCleanUpDelay: 1800
cleanUpKeysAmount: 100
nettyHook: !<org.redisson.client.DefaultNettyHook> {}
useThreadClassLoader: true
addressResolverGroupFactory: !<org.redisson.connection.SequentialDnsAddressResolverFactory> {}
lazyInitialization: false
protocol: "RESP2"
valkeyCapabilities: []
password: "${ENCRYPTED:REDIS_PASSWORD_ENCRYPT:-}"
